> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vertgroup.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List Events



## OpenAPI

````yaml https://api.vertgroup.com.br/openapi.json get /events
openapi: 3.1.0
info:
  title: SGG Automation — DOM Med
  version: 1.0.0
servers: []
security: []
paths:
  /events:
    get:
      tags:
        - Event
      summary: List Events
      operationId: list_events_events_get
      parameters:
        - name: aggregate_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Aggregate Id
        - name: event_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Event Type
        - name: since
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Since
        - name: until
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Until
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 200
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EventResponse'
                title: Response List Events Events Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    EventResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        aggregate_id:
          type: string
          format: uuid
          title: Aggregate Id
        event_type:
          type: string
          title: Event Type
        actor_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Actor Id
        payload:
          type: object
          title: Payload
        dispatched_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Dispatched At
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - aggregate_id
        - event_type
        - actor_id
        - payload
        - dispatched_at
        - created_at
      title: EventResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````